/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-07-19
 * 描述            ：客户满意度调查建议基础表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.CustomerInformation.vo;
import java.io.Serializable;
import java.util.Date;

import market.Slm.CustomerInformation.mapper.SlmCustomerSatBaseSuggestMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CUSTOMER_SAT_BASE_SUGGEST", namespace=SlmCustomerSatBaseSuggestMapper.class)
public class SlmCustomerSatBaseSuggest extends BaseVO implements Serializable {
	/** 
	 * 建议编号
	 */ 
	@Id
	private String suggest_no;
	public String getSuggest_no() {
		return this.suggest_no;
	}
	public void setSuggest_no(String suggest_no) {
		this.suggest_no = suggest_no;
	}

	/** 
	 * 建议内容
	 */ 
	@Column
	private String suggest_content;
	public String getSuggest_content() {
		return this.suggest_content;
	}
	public void setSuggest_content(String suggest_content) {
		this.suggest_content = suggest_content;
	}

	/** 
	 * 模板编号
	 */ 
	@Column
	private String sat_no;
	public String getSat_no() {
		return this.sat_no;
	}
	public void setSat_no(String sat_no) {
		this.sat_no = sat_no;
	}

	/** 
	 * 序号
	 */ 
	@Column
	private Integer order_no;
	public Integer getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(Integer order_no) {
		this.order_no = order_no;
	}

	/** 
	 * 状态  1有效 2无效
	 */ 
	@Column
	private String valid_flag;
	public String getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	/** 
	 * null
	 */ 
	@Column
	private String create_man_no;
	public String getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}
	
	@Column
	private String create_man_name;
	public String getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String update_man_no;
	public String getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}
	
	/** 
	 * null
	 */ 
	@Column
	private String update_man_name;
	public String getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

}
